%global commit 7b94498638f49ac66f806a60c711db8bbb1518fb
%global shortcommit %(c=%{commit}; echo ${c:0:7})

#%%global git_commit bfb667080936ca5c2d23b3282f5893931ec38d3f
#%%global git_date 20180615

#%%global git_short_commit %%(echo %%{git_commit} | cut -c -8)
#%%global git_suffix %%{git_date}git%%{git_short_commit}

Name:           airspyhf
Version:        1.6.8
Release:        1
Summary:        AirSpy host tools and library

# following is LGPL-2.1-or-later
# airspy-tools/getopt/getopt.*
# following is BSD-3-Clause
# libairspy/src/airspy.*
# libairspy/src/airspy_commands.h
# following is MIT
# libairspy/src/filters.h
# libairspy/iqconverter_*
# everything else is GPL-2.0-or-later
License:        GPL-2.0-or-later AND MIT AND BSD-3-Clause AND LGPL-2.1-or-later
URL:            http://airspy.com/
#Source:         https://github.com/airspy/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source:         https://github.com/airspy/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  libusbx-devel
BuildRequires:  systemd
Requires:       systemd-udev

%description
Software for AirSpy, a project to produce a low cost, open
source software radio platform.

%package devel
Requires:       %{name}%{?_isa} = %{version}-%{release}
License:        MIT AND BSD-3-Clause
Summary:        Development files for %{name}

%description devel
Files needed to develop software against libairspy.

%prep
%autosetup -n %{name}-%{commit}

# Fix udev rule
sed -i -e 's/MODE="660", GROUP="plugdev"/TAG+="uaccess"/g' tools/52-airspyhf.rules

%build
%cmake -DINSTALL_UDEV_RULES=on

%cmake_build

%install
%cmake_install

# Remove static object
rm -f %{buildroot}%{_libdir}/libairspyhf.a

# Move udev rule to correct location
mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/52-airspyhf.rules %{buildroot}%{_udevrulesdir}

%post
%?ldconfig
%udev_rules_update

%postun
%?ldconfig
%udev_rules_update

%files
%license LICENSE
%doc README.md
%{_bindir}/airspyhf_*
%{_libdir}/libairspyhf.so.*
%{_udevrulesdir}/52-airspyhf.rules

%files devel
%{_includedir}/libairspyhf
%{_libdir}/pkgconfig/libairspyhf.pc
%{_libdir}/libairspyhf.so

%changelog
* Tue Jul 08 2025 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.6.8-1
- Initial package
